#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-8rjxup6zM6LDVyRcpV7D2o
key:                  persistent-test-2.13.1.3-8rjxup6zM6LDVyRcpV7D2o
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  fd246530e7d952ef397ceecdc049a9c5
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-8rjxup6zM6LDVyRcpV7D2o
depends:
    HUnit-1.6.2.0-8V4cpd2vyM7I9OG8MrEdHy
    QuickCheck-2.14.3-8QSIOMYs5brCg5V5nmVdY2
    aeson-2.1.2.1-IkP1OjeNuTxglWxWeIvI9 base-4.16.4.0
    blaze-html-0.9.2.0-C4ZBPt0ygub3tdDLZwenWL bytestring-0.11.4.0
    conduit-1.3.6-6olN0R4zhzQGfJxY5P1sQG containers-0.6.5.1
    exceptions-0.10.4 hspec-2.10.9-8EHAZD5WgY7w8NSfyDurV
    hspec-expectations-0.8.3-1zJ9Bt2UKIO1izJ8suxZW5
    http-api-data-0.5.1-ILpYWdKjUlDLjeQe14VP0d
    monad-control-1.0.3.1-I5AaRJoHRj29hWCKJMaDiM
    monad-logger-0.3.40-GpT890gWjUyJSwJCE3ERqV mtl-2.2.2
    path-pieces-0.2.1-E15XfVOwfTfIr2VliI4YGA
    persistent-2.14.5.1-CVHPSF6MUJw9A5HFCDyiqU
    quickcheck-instances-0.3.30-2a7qY7glJiwHcNHZ19wuny
    random-1.2.1.2-LilJ2o1ueBgJ3oDFJkkk0o
    resourcet-1.2.6-Lqb3m6tuOhHIikJo8Ch6Wd text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-10tXe5MiLs4HsBLDXsNGWs
    unliftio-0.2.25.0-Bqf4m3XJMY4LhFmNMLVjQx
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-KbuohGKDXjMH23185MHhrF

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

